Skip to content

ETF SCREENING PURIFICATION

Request

Get ETF purification results for a symbol over a date range.

Request body:

ParameterValueDescription
symbol"FENY"ETF symbol
date_from"2025-05-11"Start date (YYYY-MM-DD)
date_to"2025-06-11"End date (YYYY-MM-DD)
Headers
clientIdstringrequired

B2B UAT client ID. Sent as a request header (not Redocly Auth).

Default:"AX6kFk5ywERyXobt"
Example:AX6kFk5ywERyXobt
timestring^\d{14}$required

UTC timestamp yyyyMMddHHmmss used to compute token.

Default:"20260831110225"
Example:20260831110225
tokenstringrequired

Base64(SHA512(secretKey + time + jsonBody)). Must match this operation's request body.

Default:"zmxxrI/ZYymbKjMRk0ngnUUFus8jBSWmLmaKTyq6OWmGFHn+905lifYWHVnl87gkgfsicZJ8YqnaAOc6j/ju/w=="
Example:zmxxrI/ZYymbKjMRk0ngnUUFus8jBSWmLmaKTyq6OWmGFHn+905lifYWHVnl87gkgfsicZJ8YqnaAOc6j/ju/w==
Bodyapplication/jsonrequired
symbolstringrequired

ETF symbol

date_fromstring, (date)

Start date (YYYY-MM-DD)

date_tostring, (date)

End date (YYYY-MM-DD)

curl --location 'https://b2b.musaffa.us/b2b/api/demo/musaffa/etf/purification' \
--header 'Content-Type: application/json' \
--header 'clientId: AX6kFk5ywERyXobt' \
--header 'time: 20260831110225' \
--header 'token: zmxxrI/ZYymbKjMRk0ngnUUFus8jBSWmLmaKTyq6OWmGFHn+905lifYWHVnl87gkgfsicZJ8YqnaAOc6j/ju/w==' \
--data '{
    "symbol":"FENY",
    "date_from":"2025-05-11",
    "date_to":"2025-06-11"
}'

Responses

Dynamic ETF purification / screening result for the requested range

Bodyapplication/json
symbolstring
isinstring
namestring
assetClassstring
investmentSegmentstring
marketstring
navCurrencystring
numberOfHoldingsnumber
uncoveredHoldingsnumber
complianceStatusstring(ComplianceStatus)

Shariah-compliance status

aggregateRevenueBreakdownobject(RevenueBreakdown)

Combined revenue from DOUBTFUL and NOT HALAL sources must be less than 5% of total revenue (AAOIFI).

aggregateInterestBearingSecuritiesAndAssetsobject(EtfAggregateInterestAssets)
aggregateInterestBearingDebtobject(EtfAggregateDebt)
lastUpdatestring
aggregateRevenuenumber
month36AverageMarkCapnumber
Response
{ "symbol": "string", "isin": "string", "name": "string", "assetClass": "string", "investmentSegment": "string", "market": "string", "navCurrency": "string", "numberOfHoldings": 0, "uncoveredHoldings": 0, "complianceStatus": "string", "aggregateRevenueBreakdown": { "halalRatio": 0, "notHalalRatio": 0, "doubtfulRatio": 0, "doubtfulRevenue": 0, "halalRevenue": 0, "notHalalRevenue": 0, "status": "string" }, "aggregateInterestBearingSecuritiesAndAssets": { "interestAmount": 0, "interestRatio": 0, "status": "string" }, "aggregateInterestBearingDebt": { "debtAmount": 0, "debtRatio": 0, "status": "string" }, "lastUpdate": "string", "aggregateRevenue": 0, "month36AverageMarkCap": 0 }